Subject: Re: bug#10494: 24.0.92; Syntax table and non-ASCII character interaction

From: Aaron Ecay <[email-masked]>
Date: Fri, 13 Jan 2012 12:04:26 -0500

On Fri, 13 Jan 2012 11:45:21 +0100, Andreas Schwab <[email-masked]> wrote:
> ?’ isn't of the same script as the surrounding characters, so there are
> word boundaries before and after it.  See also
> word-combining-categories.

What does that mean?  I assume it has something to do with the
“category:” line in the output of describe-char.  For ?’ this gives:
“.:Base, c:Chinese, h:Korean, j:Japanese”; for ?' it is “.:Base,
a:ASCII, l:Latin, r:Roman”.  So, what does ?’ have to do with CJK
scripts?

More specifically, I would like to use ?’ as an apostrophe in writing
text, so I’d like for word-motion commands to treat it as part of a
word, just as they do ?'.  How might this be accomplished?

Thanks,

-- 
Aaron Ecay